Bug 1282411 - (CVE-2015-5253) CVE-2015-5253 apache-cxf: SAML SSO processing is vulnerable to wrapping attack
CVE-2015-5253 apache-cxf: SAML SSO processing is vulnerable to wrapping attack
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151114,repor...
: Security
Depends On:
Blocks: 1282415 1312133
  Show dependency treegraph
 
Reported: 2015-11-16 05:41 EST by Adam Mariš
Modified: 2016-10-05 01:31 EDT (History)
21 users (show)

See Also:
Fixed In Version: apache-cxf 3.1.3, apache-cxf 3.0.7, apache-cxf 2.7.18
Doc Type: Bug Fix
Doc Text:
It was found that Apache CXF permitted wrapping attacks in its support for SAML SSO. A malicious user could construct a SAML response that would bypass the login screen and possibly gain access to restricted information or resources.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-16 05:41:25 EST
A vulnerability in Apache CXF module adding support for SAML SSO to a JAX-RS endpoint was found. It is possible to construct a SAML Response by means of a wrapping attack, that allows a malicious user to log in instead of the principal extracted from the signed SAML assertion. Affects versions prior to 3.1.3, 3.0.7 and 2.7.18.

Upstream patch:

https://git-wip-us.apache.org/repos/asf?p=cxf.git;a=commit;h=845eccb6484b43ba02875c71e824db23ae4f20c0

External reference:

http://cxf.apache.org/security-advisories.data/CVE-2015-5253.txt.asc?version=1&modificationDate=1447433340000&api=v2
Comment 4 Jason Shepherd 2016-01-13 18:32:37 EST
CXF JAX-RS, where this vulnerability lies, is not supported in JBoss EAP. See this article as a reference:

   https://access.redhat.com/solutions/97523
Comment 5 Jason Shepherd 2016-02-16 18:10:53 EST
This issue will be addressed in Fuse 6.3
Comment 6 Jason Shepherd 2016-02-28 19:41:31 EST
We're also backporting the fix to Fuse 6.2.1 in Rollup 1. https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=jboss.fuse&downloadType=securityPatches&version=6.2.1
Comment 7 errata-xmlrpc 2016-02-29 14:40:27 EST
This issue has been addressed in the following products:

  JBoss Fuse 6.2.1

Via RHSA-2016:0321 https://rhn.redhat.com/errata/RHSA-2016-0321.html

Note You need to log in before you can comment on or make changes to this bug.